org.h2.bnf.context

## Class DbProcedure

- java.lang.Object
- - org.h2.bnf.context.DbProcedure

    public class DbProcedure
    extends java.lang.Object

Contains meta data information about a procedure. This class is used by the H2 Console.

### Constructor Summary

Constructors
Constructor and Description
`DbProcedure(DbSchema schema, java.sql.ResultSet rs)`

### Method Summary

Methods
`java.lang.String` `getName()`
`DbColumn[]` `getParameters()`
`java.lang.String` `getQuotedName()`
`DbSchema` `getSchema()`
`boolean` `isReturnsResult()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DbProcedure

    public DbProcedure(DbSchema schema,
               java.sql.ResultSet rs)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### getSchema

    public DbSchema getSchema()

Returns:
  The schema this table belongs to.

#### getParameters

    public DbColumn[] getParameters()

Returns:
  The column list.

#### getName

    public java.lang.String getName()

Returns:
  The table name.

#### getQuotedName

    public java.lang.String getQuotedName()

Returns:
  The quoted table name.

#### isReturnsResult

    public boolean isReturnsResult()

Returns:
  True if this function return a value